Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706838 - dev-tcltk/tkimg-1.4.9 : fails to build with -fno-common or gcc-10
Summary: dev-tcltk/tkimg-1.4.9 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TCL/TK Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:20 UTC by Toralf Förster
Modified: 2020-04-13 18:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.73 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
dev-tcltk:tkimg-1.4.9:20200128-001446.log (dev-tcltk:tkimg-1.4.9:20200128-001446.log,143.77 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,83.43 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
environment (environment,72.99 KB, text/plain)
2020-01-28 18:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.59 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,24.31 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,25.33 KB, application/x-bzip)
2020-01-28 18:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:20:05 UTC
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"pngtcl\" -DPACKAGE_TARNAME=\"pngtcl\" -DPACKAGE_VERSION=\"1.6.35\" -DPACKAGE_STRING=\"pngtcl\ 1.6.35\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DBUILD_pngtcl=/\*\*/ -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DZLIBTCL_VERSION=\"1.2.11\" -I.  -I"/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib/." -I"/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib" -I"." -I"/usr/include"    -O2 -pipe -march=native -fno-common -DNDEBUG -Wall -Wwrite-strings -fPIC  -DPNG_IMPEXP= -DPNG_EXTERN=MODULE_SCOPE -c `echo pngtclStubInit.c` -o pngtclStubInit.o
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"pngtcl\" -DPACKAGE_TARNAME=\"pngtcl\" -DPACKAGE_VERSION=\"1.6.35\" -DPACKAGE_STRING=\"pngtcl\ 1.6.35\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DBUILD_pngtcl=/\*\*/ -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -D_LARGEFILE64_SOURCE=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DZLIBTCL_VERSION=\"1.2.11\" -I.  -I"/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib/." -I"/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib" -I"." -I"/usr/include"    -O2 -pipe -march=native -fno-common -DNDEBUG -Wall -Wwrite-strings -fPIC  -DPNG_IMPEXP= -DPNG_EXTERN=MODULE_SCOPE -c `echo pngtclStubLib.c` -o pngtclStubLib.o
rm -f libpngtcl1.6.35.so
x86_64-pc-linux-gnu-gcc -shared -O2 -pipe -march=native -fno-common -DNDEBUG -Wall -Wwrite-strings -fPIC  -DPNG_IMPEXP= -DPNG_EXTERN=MODULE_SCOPE -Wl,-O1 -Wl,--as-needed -Wl,--export-dynamic  -o libpngtcl1.6.35.so pngtcl.o pngtclStubInit.o pngtclStubLib.o -L/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib -lzlibtclstub1.2.11 -lm -L/var/tmp/portage/dev-tcltk/tkimg-1.4.9/work/Img-1.4.9/zlib -lzlibtclstub1.2.11  -ltclstub8.6 -ltkstub8.6 -lpng 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pngtclStubInit.o:(.bss+0x0): multiple definition of `pngtclStubsPtr'; pngtcl.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pngtclStubLib.o:(.bss+0x0): multiple definition of `pngtclStubsPtr'; pngtcl.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 23:06:20 +0000

emerge -qpvO dev-tcltk/tkimg
[ebuild  N    ] dev-tcltk/tkimg-1.4.9  USE="-doc -static-libs -test"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:20:08 UTC
Created attachment 606040 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:20:11 UTC
Created attachment 606042 [details]
dev-tcltk:tkimg-1.4.9:20200128-001446.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:20:14 UTC
Created attachment 606044 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:20:17 UTC
Created attachment 606046 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:20:19 UTC
Created attachment 606048 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:20:22 UTC
Created attachment 606050 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:20:25 UTC
Created attachment 606052 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-04-13 18:24:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f4b367799f0fc945ff6399b985755088abe02b4

commit 5f4b367799f0fc945ff6399b985755088abe02b4
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2020-04-13 18:23:49 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2020-04-13 18:23:49 +0000

    dev-tcltk/tkimg: build with fno-common
    
    Closes: https://bugs.gentoo.org/706838
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 dev-tcltk/tkimg/files/tkimg-1.4.9-fno-common.patch | 11 +++++++++++
 dev-tcltk/tkimg/tkimg-1.4.9.ebuild                 |  3 ++-
 2 files changed, 13 insertions(+), 1 deletion(-)